Bug 505630 - rfe: make it easy to set up bridging to support virtualization where guests are on house network
rfe: make it easy to set up bridging to support virtualization where guests a...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 12:25 EDT by Erik Jacobson
Modified: 2010-06-28 08:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:56:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Jacobson 2009-06-12 12:25:00 EDT
If you want your virutal machines to have an IP on the house network (as 
opposed to NAT'd behind the host or on a private network), the easiest way 
is to give the guests actual house network IP addresses.

If you wish to go this route, you have to configure your virtualization host to 
use brdiging and put the virtualization host's house network IP address on said
bridge.

The Fedora network tools don't really allow for you to do this easily as far as 
I have found.  If I've missed something, please feel free to point me at
it.

However, once you do have it set up, tools like virt-manager/libvirt pick up 
on it right away and make it easy to put the managed guests on the house
network.

So the missing piece is really just offering an easy means to configure
for this purpose.  I'm not saying it should be the default by any means, but
it would be nice if something like system-config-network had a dialog that 
helped you configure bridging on the virtualization host.

These are the instructions I use to make a F11 virtualzation host use bridiging:

* chkconfig network on
* make ifcfg-eth0 look something like this (adjust for your network/MAC/etc):
DEVICE=eth0
BRIDGE=br0
BOOTPROTO=none
HWADDR=00:30:48:7d:8e:62
ONBOOT=yes
TYPE=Ethernet
NM_CONTROLLED=no
IPV6INIT=no
USERCTL=no

* create ifcfg-br0 to look something like this, adjust for your network
  including possibly allocating static IP:
DEVICE=br0
TYPE=Bridge
BOOTPROTO=dhcp
ONBOOT=yes
IPV6INIT=no
USERCTL=no

* Now restart the network (I normally reboot here).

Other variants to these theme are out there.

now, when you fire up virt-manager to allocate guests, it will pick up on this
br0 network and allow guests to tie to the house network.

So this request is asking for a guided/graphical means to set up a bridge.
Comment 1 Bug Zapper 2010-04-27 10:49:49 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 08:56:18 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.